var Hra = (function(){
	return {
		send: function(Arg, callback){
			var defaultArg = {
				method: 'get',
				referer: '',
				url: '',
				postData: '',
				bSecure: 'http',
				cookies: ''
			},Request = new ActiveXObject("HttpRequestAx.Request");
			
			$.extend(defaultArg, Arg);
			
			Request.OnResponseReady = function(code, content){
				var cookies = Request.cookie;
				callback(code, content, cookies);
			};
			
			Request.Referer = defaultArg.referer;
			if(defaultArg.cookies){
				Request.cookie = defaultArg.cookies;
			}
			
			//try{
				Request.SendRequest(
					defaultArg.method == 'post'?2:1,
					defaultArg.url,
					defaultArg.postData,
					defaultArg.bSecure == 'http'?0:1,
					0
				);
			//}catch(e){}
		}
	};
})();